跳到主要内容

Get Repository Contributors Statistics

GET 

/api/v5/repos/:owner/:repo/contributors/statistic

Request​

Path Parameters

    owner stringrequired

    Repository space address (address path of the enterprise, organization, or individual)

    repo stringrequired

    Repository path (path)

Query Parameters

    access_token string

    User authorization code

    author string

    Filter contributors by username. Supports specifying a username to get contribution data for that user. Returns contribution data for all users by default.

    current_user boolean

    Whether to return data only for the current user. true indicates that only the contribution data of the current user will be returned; false or omission will result in returning the contribution data of all users. When set to true, it has a higher priority than the author parameter.

    since string

    Start date, formatted as YYYY-MM-DD or YYYY-MM-DD HH:mm:ss. Used to limit the start time of the contribution data returned.

    until string

    End date in the format of YYYY-MM-DD or YYYY-MM-DD HH:mm:ss. Used to limit the end time of the contribution data returned.

    ref_name string

    Specify the ref_name (branch name, commit ID, or tag name) to get contribution data. If not provided or empty, use the default branch.

Responses​

Successful Response

Response Headers
    Schema
    • Array [
    • namestring
      emailstring
      overview object
      additionsinteger
      deletionsinteger
      total_changesinteger
      commit_countinteger
      contributions object[]
    • Array [
    • datestring
      additionsinteger
      deletionsinteger
      total_changesinteger
      commit_countinteger
    • ]
    • ]